Subject: Re: [PATCH v4 0/3] Use default values from settings instead of config

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Oct 2021 08:57:37 -0700

Junio C Hamano <[email-masked]> writes:

> Derrick Stolee <[email-masked]> writes:
>
>> I generally consider any interaction with the commit-graph while
>> replace refs are enabled to be the bug. We don't read the commit-graph
>> when replace refs are on, so why are we verifying it?
>>
>> But, I understand the desire to check the on-disk content even though
>> it is not being used, so disabling replace refs to do the verify should
>> be sufficient.
>
> That's quite a sensible argument.  Sounds like we have a way to
> solve this that everybody agrees with.

Would it be sensible to silently ignore, though?  Would a warning,
when we see replacement is in use and an explicit request by an end
user is made to make use of or update the commit-graph, be too loud?